Subject: Re: kexec on rk3399

From: Vicente Bergas <[email-masked]>
Date: Mon, 22 Jul 2019 18:08:37 +0200

On Monday, July 22, 2019 4:46:36 PM CEST, Will Deacon wrote:
> On Mon, Jul 22, 2019 at 04:31:27PM +0200, Vicente Bergas wrote:
>> Hi, i have been running linux on rk3399 booted with kexec fine until 5.2
>> From 5.2 onwards, there are memory corruption issues as reported here:
>> http://lkml.iu.edu/hypermail/linux/kernel/1906.2/07211.html
>> kexec has been identified as the principal reason for the issues.
>
> I thought that you resolved this issue by upgrading u-boot. Did that not
> actually work?
>
> Will

I am now using u-boot, but that is not a solution.
My intention is to use it on the Sapphire board and on gru-kevin.
I would like the bootloader to support HDMI on the sapphire and EDP on 
kevin
for the interactive boot menu.
U-Boot on the Sapphire boots, but has no graphic display. Kevin is not 
supported at all.
I've achived some progress on the u-boot front, but not enough to have 
display.

With a kexec-based bootloader display is already working, out of the box.

From another point of view, I would like to reduce the TCB (trusted 
computing base).
Linux is huge, but is already in the TCB, so, executing it twice does not 
add to the TCB.
U-Boot, instead, is enlarging the TCB, in this case.

Regards,
  Vicenç.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel